Summary: A framework for managing user passwords and other secrets
Name: gnome-keyring

%global momorel 1
Version: 0.4.0
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2 683b422b77c56c3a125e7aa5c886c47e

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel >= 2.6.1

%description
gnome-keyring manages passwords and other types of secrets
for the user, storing them encrypted with a main password.
Applications can use the gnome-keyring library to integrate
with the keyring.

%package devel
Summary: The files needed for gnome-keyring application development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk+-devel >= 2.6.0

%description devel
The gnome-keyring-devel package contains the libraries and
include files that you can use to develop applications that
use gnome-keyring.

%prep
%setup -q
libtoolize -c -f
aclocal-1.7
automake-1.7
autoconf
%build
%configure --disable-gtk-doc
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB
%{_libdir}/lib*.so.*
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Sat Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-1m)
- version 0.4.0
- GNOME 2.8 Desktop

* Mon Dec 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-3m)
- add auto commands before %%build for fix missing lib*.so problem

* Sun Apr 18 2004 Toru Hoshina <t@momonga-linux.org>
- (0.2.0-2m)
- revised spec for rpm 4.2.

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.0-1m)
- version 0.2.0
- GNOME 2.6 Desktop
- initial import into Momonga HEAD

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.1.90-1
- update to 0.1.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 0.1.4-1
- update to 0.1.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- update to 0.1.3

* Mon Jan 26 2004 Bill Nottingham <notting@redhat.com>
- tweak summary

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-2
- devel package only needs glib2-devel, not gtk2-devel

* Fri Jan 23 2004 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- First version

